Bug 363141 - rmmod iwl3945 hangs/eats 100% cpu sometimes
rmmod iwl3945 hangs/eats 100% cpu sometimes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 20:18 EDT by Kjartan Maraas
Modified: 2008-01-31 09:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 09:05:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops picture (451.77 KB, image/jpeg)
2007-11-30 07:32 EST, Kjartan Maraas
no flags Details

  None (edit)
Description Kjartan Maraas 2007-11-01 20:18:35 EDT
Description of problem:

Every now and then I get a hang when I try to rmmod iwl3945. IIRC it happens
after failing to acquire an ip address via dhclient, or at least this is the
situation where I've tried to rmmod it to get it working again. Some times it
works and other times it just hangs causing me not to be able to shut down cleanly.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2007-11-01 20:21:37 EDT
Maybe relevant information from syslog:

Oct 29 16:50:09 localhost acpid: notifying client 3451[0:0]
Oct 29 16:50:09 localhost acpid: completed event "thermal_zone TZ0 00000081
00000000"
Oct 29 16:50:12 localhost ntpd[2978]: sendto(80.203.242.202) (fd=25): Invalid
argument
Oct 29 16:50:14 localhost dhclient: DHCPREQUEST on wlan0 to 10.0.0.1 port 67
Oct 29 16:50:14 localhost dhclient: send_packet: Network is unreachable
Oct 29 16:50:14 localhost dhclient: send_packet: please consult README file
regarding broadcast address.
Oct 29 16:50:17 localhost dhclient: dhclient(13594) is already running - exiting.
Oct 29 16:50:17 localhost dhclient:
Oct 29 16:50:17 localhost dhclient: This version of ISC DHCP is based on the
release available
Oct 29 16:50:17 localhost dhclient: on ftp.isc.org.  Features have been added
and other changes
Oct 29 16:50:17 localhost dhclient: have been made to the base software release
in order to make
Oct 29 16:50:17 localhost dhclient: it work better with this distribution.
Oct 29 16:50:17 localhost dhclient:
Oct 29 16:50:17 localhost dhclient: Please report for this software via the Red
Hat Bugzilla site:
Oct 29 16:50:17 localhost dhclient:     http://bugzilla.redhat.com
Oct 29 16:50:17 localhost dhclient:
Oct 29 16:50:17 localhost dhclient: exiting.
Oct 29 16:50:20 localhost dhclient: Internet Systems Consortium DHCP Client
V3.0.6-Fedora
Oct 29 16:50:20 localhost dhclient: Copyright 2004-2007 Internet Systems Consortium.
Oct 29 16:50:20 localhost dhclient: All rights reserved.
Oct 29 16:50:20 localhost dhclient: For info, please visit
http://www.isc.org/sw/dhcp/
Oct 29 16:50:20 localhost dhclient:
Oct 29 16:50:20 localhost dhclient: wmaster0: unknown hardware address type 801
Oct 29 16:50:21 localhost dhclient: wmaster0: unknown hardware address type 801
Oct 29 16:50:21 localhost dhclient: Listening on LPF/wlan0/00:19:d2:37:b6:2c
Oct 29 16:50:21 localhost dhclient: Sending on   LPF/wlan0/00:19:d2:37:b6:2c
Oct 29 16:50:21 localhost dhclient: Sending on   Socket/fallback
Oct 29 16:50:21 localhost dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Oct 29 16:50:29 localhost dhclient: DHCPREQUEST on wlan0 to 255.255.255.255 port 67
Oct 29 16:50:49 localhost ntpd[2978]: sendto(82.148.138.26) (fd=25): Invalid
argument
Oct 29 16:52:52 localhost gnome-keyring-daemon[3511]: Credentials byte was not nul
Oct 29 16:52:52 localhost gconfd (kmaraas-3616): Avslutter
Oct 29 16:52:52 localhost shutdown[6452]: shutting down for system halt
Comment 2 Kjartan Maraas 2007-11-07 08:41:51 EST
strace output:

[root@localhost kmaraas]# strace rmmod iwl3945
execve("/sbin/rmmod", ["rmmod", "iwl3945"], [/* 44 vars */]) = 0
brk(0)                                  = 0x8ffc000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=110716, ...}) = 0
mmap2(NULL, 110716, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f34000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360d\1\0004\0\0\0"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1689108, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f33000
mmap2(NULL, 1410608, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0x12e000
mmap2(0x281000, 12288, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x153) = 0x281000
mmap2(0x284000, 9776, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS,
-1, 0) = 0x284000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f32000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7f326c0, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
mprotect(0x281000, 8192, PROT_READ)     = 0
mprotect(0x12b000, 4096, PROT_READ)     = 0
munmap(0xb7f34000, 110716)              = 0
brk(0)                                  = 0x8ffc000
brk(0x901d000)                          = 0x901d000
open("/proc/modules", O_RDONLY)         = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7f4f000
read(3, "iwl3945 160297 0 - Live 0xf8b040"..., 1024) = 1024
close(3)                                = 0
munmap(0xb7f4f000, 4096)                = 0
delete_module("iwl3945", O_RDONLY|O_EXCL|O_NONBLOCK
Comment 3 John W. Linville 2007-11-20 10:52:19 EST
Is this still aproblem with current F8 kernels?
Comment 4 Kjartan Maraas 2007-11-20 12:58:55 EST
I saw a total lockup on rmmod today. Nothing in the logs though. I also got an
oops when trying to suspend to ram earlier today. Both of these happened with
the 2.6.24-rc2-git6 based kernel from a couple of days ago:

kernel-2.6.24-0.38.rc2.git6.fc9
Comment 5 John W. Linville 2007-11-21 15:50:50 EST
The wireless bits in rawhide have been a bit behind.  They should be 
up-to-date with these kernels:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=25149

Could you give those a try?  Thanks!
Comment 6 Kjartan Maraas 2007-11-22 03:58:14 EST
Tried this now:

kernel-2.6.24-0.41.rc3.git1.fc9

with the same result. Total lockup on rmmod iwl3945. Nothing in the logs either.
Comment 7 John W. Linville 2007-11-26 15:08:10 EST
Can you characterize what is happening when the lock-ups occur?
Comment 8 Kjartan Maraas 2007-11-27 02:40:36 EST
Sorry, it's a hard lockup now so nothing even hits the log and keyboard is
frozen etc. I'll try on the console to see if that gives more info. Also I can
try to type down the oops data from the oops on suspend. 
Comment 9 Kjartan Maraas 2007-11-30 05:58:12 EST
rmmod iwl3945 produces an oops here the second time I do it. Probably the same
oops I've seen on suspend. The oops ends in iwl3945_irq_tasklet. I've taken a
picture of the oops with my mobile and I'll try to get that uploaded too :-)
Comment 10 Kjartan Maraas 2007-11-30 07:32:25 EST
Created attachment 273741 [details]
oops picture
Comment 11 John W. Linville 2007-11-30 09:04:18 EST
Hmmm...that reminds me of an old problem w/ that driver.  I'll have to 
investigate and get back to you...
Comment 12 John W. Linville 2008-01-30 10:49:11 EST
I don't know of a specific fix, but there have been a number of updates in the 
past couple of months.  Can you still recreate this issue with current rawhide 
kernels?
Comment 13 Kjartan Maraas 2008-01-31 08:59:29 EST
Seems to work now. I've seen some problems with unregister_netdevice() yelling
about something holding a ref on the device while trying to suspend, but that's
a different bug I should file.
Comment 14 John W. Linville 2008-01-31 09:05:27 EST
Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.